Name:             gawk-lmdb
Summary:          LMDB Lightning Memory-Mapped Database binding for gawk
Version:          1.1.0
Release:          1%{?dist}
License:          GPLv3+

URL:              https://sourceforge.net/projects/gawkextlib
Source:           %{url}/files/%{name}-%{version}.tar.gz

Requires:         gawk
# rpmbuild finds the lmdb-libs dependency automatically
#Requires:        lmdb-libs
BuildRequires:    gawk-devel
BuildRequires:    gawkextlib-devel
BuildRequires:    lmdb-devel
BuildRequires:    cpp

# Make sure the API version is compatible with our source code:
BuildRequires:    gawk(abi) >= 1.1
BuildRequires:    gawk(abi) < 3.0

# At runtime, the ABI must be compatible with the compile-time version
%global gawk_api_version %(gawk 'BEGINFILE {if (ERRNO) nextfile} match($0, /#define gawk_api_(major|minor)_version[[:space:]]+([[:digit:]]+)/, f) {v[f[1]] = f[2]} END {print (v["major"] "." v["minor"])}' /usr/include/gawkapi.h)
Requires:         gawk(abi) >= %{gawk_api_version}
Requires:         gawk(abi) < %(echo %{gawk_api_version} | gawk -F. '{printf "%d.0\n", $1+1}')

# This is the default as of Fedora 23:
%global _hardened_build 1

%description
The %{name} module provides a gawk extension library implementing the
Lightning Memory-Mapped Database (LMDB) API.

# =============================================================================

%prep
%autosetup

%build
%configure
%make_build

%check
make check

%install
%make_install

# Install NLS language files:
%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc NEWS
%doc test/dict*.awk
%{_libdir}/gawk/lmdb.so
%{_mandir}/man3/*

# =============================================================================

%changelog
* Sun Dec 03 2017 Andrew Schorr <ajschorr@fedoraproject.org> - 1.1.0-1
- Update to new release and package for Fedora

* Mon May 02 2016 Andrew Schorr <ajschorr@fedoraproject.org> - 1.0.0-1
- First version.
